aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHenry <PopularMoment@protonmail.com>2022-09-02 01:26:16 +0000
committerNeel Chauhan <nc@FreeBSD.org>2022-09-02 01:26:16 +0000
commit4c48c70106552373e916142d220655da57350d22 (patch)
tree17f6572f0a483d48b90d3ea9d1b5b6566ae44c92
parentdebd1c762ad9f219c398657abf3bcda2e13ea6b9 (diff)
downloadports-4c48c70106552373e916142d220655da57350d22.tar.gz
ports-4c48c70106552373e916142d220655da57350d22.zip
devel/py-b2sdk: update to 1.17.3
PR: 266166
-rw-r--r--devel/py-b2sdk/Makefile16
-rw-r--r--devel/py-b2sdk/distinfo6
-rw-r--r--devel/py-b2sdk/files/patch-requirements.txt10
-rw-r--r--devel/py-b2sdk/files/patch-setup.py14
4 files changed, 18 insertions, 28 deletions
diff --git a/devel/py-b2sdk/Makefile b/devel/py-b2sdk/Makefile
index dc81d49df8b9..deedee11b35e 100644
--- a/devel/py-b2sdk/Makefile
+++ b/devel/py-b2sdk/Makefile
@@ -1,6 +1,6 @@
PORTNAME= b2sdk
-DISTVERSION= 1.12.0
-PORTREVISION= 1
+DISTVERSION= 1.17.3
+PORTREVISION= 0
CATEGORIES= devel python
MASTER_SITES= CHEESESHOP
PKGNAMEPREFIX= ${PYTHON_PKGNAMEPREFIX}
@@ -12,18 +12,18 @@ LICENSE= MIT
LICENSE_FILE= ${WRKSRC}/LICENSE
BUILD_DEPENDS= ${PYTHON_PKGNAMEPREFIX}setuptools_scm>0:devel/py-setuptools_scm@${PY_FLAVOR}
-RUN_DEPENDS= ${PYTHON_PKGNAMEPREFIX}arrow>=0.8.0:devel/py-arrow@${PY_FLAVOR} \
- ${PYTHON_PKGNAMEPREFIX}logfury0>=0.1.2<0.2.0:devel/py-logfury0@${PY_FLAVOR} \
+RUN_DEPENDS= ${PYTHON_PKGNAMEPREFIX}arrow>=1.0.2<2.0.0:devel/py-arrow@${PY_FLAVOR} \
+ ${PYTHON_PKGNAMEPREFIX}logfury>=1.0.1<2.0.0:devel/py-logfury0@${PY_FLAVOR} \
${PYTHON_PKGNAMEPREFIX}requests>=2.9.1<3.0.0:www/py-requests@${PY_FLAVOR} \
${PYTHON_PKGNAMEPREFIX}setuptools>0:devel/py-setuptools@${PY_FLAVOR} \
${PYTHON_PKGNAMEPREFIX}setuptools_scm>0:devel/py-setuptools_scm@${PY_FLAVOR} \
${PYTHON_PKGNAMEPREFIX}sqlite3>0:databases/py-sqlite3@${PY_FLAVOR} \
${PYTHON_PKGNAMEPREFIX}tqdm>=4.5.0<5.0.0:misc/py-tqdm@${PY_FLAVOR}
-TEST_DEPENDS= ${PYTHON_PKGNAMEPREFIX}pytest>0:devel/py-pytest@${PY_FLAVOR} \
- ${PYTHON_PKGNAMEPREFIX}pytest-lazy-fixture>0:devel/py-pytest-lazy-fixture@${PY_FLAVOR} \
- ${PYTHON_PKGNAMEPREFIX}pytest-mock>0:devel/py-pytest-mock@${PY_FLAVOR}
+TEST_DEPENDS= ${PYTHON_PKGNAMEPREFIX}pytest-lazy-fixture>0:devel/py-pytest-lazy-fixture@${PY_FLAVOR} \
+ ${PYTHON_PKGNAMEPREFIX}pytest-mock>0:devel/py-pytest-mock@${PY_FLAVOR} \
+ ${PYTHON_PKGNAMEPREFIX}pytest>0:devel/py-pytest@${PY_FLAVOR}
-USES= python:3.6+
+USES= python:3.7+
USE_PYTHON= autoplist concurrent distutils
NO_ARCH= yes
diff --git a/devel/py-b2sdk/distinfo b/devel/py-b2sdk/distinfo
index 997059b82e70..cdc7179984ae 100644
--- a/devel/py-b2sdk/distinfo
+++ b/devel/py-b2sdk/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1629760684
-SHA256 (b2sdk-1.12.0.tar.gz) = 3ec2264ae2b421563d130a4b2a53f96454ba03b8f68893ad520fc651c413251d
-SIZE (b2sdk-1.12.0.tar.gz) = 273412
+TIMESTAMP = 1661905077
+SHA256 (b2sdk-1.17.3.tar.gz) = a723e38dd43cc33bd08ad95c84695f3533f0aacd0f1fac60a6548f516a63b703
+SIZE (b2sdk-1.17.3.tar.gz) = 309877
diff --git a/devel/py-b2sdk/files/patch-requirements.txt b/devel/py-b2sdk/files/patch-requirements.txt
deleted file mode 100644
index 32f7f4a05a2b..000000000000
--- a/devel/py-b2sdk/files/patch-requirements.txt
+++ /dev/null
@@ -1,10 +0,0 @@
-Relax requirements for devel/py-arrow
-
---- requirements.txt.orig 2021-08-06 12:04:59 UTC
-+++ requirements.txt
-@@ -1,4 +1,4 @@
--arrow>=0.8.0,<1.0.0
-+arrow>=0.8.0
- importlib-metadata>=2.1.1,<3.0.0; python_version <= '3.5'
- importlib-metadata>=3.3.0; python_version > '3.5' and python_version < '3.8'
- logfury>=0.1.2,<0.2.0
diff --git a/devel/py-b2sdk/files/patch-setup.py b/devel/py-b2sdk/files/patch-setup.py
index cad342d6a99a..4af1bab4dd4b 100644
--- a/devel/py-b2sdk/files/patch-setup.py
+++ b/devel/py-b2sdk/files/patch-setup.py
@@ -1,14 +1,14 @@
Relax requirements for devel/py-setuptools_scm. Python 3.5 is no longer
present in the Ports tree.
---- setup.py.orig 2021-08-06 12:04:59 UTC
+--- setup.py.orig 2022-08-31 00:23:56 UTC
+++ setup.py
-@@ -111,7 +111,7 @@ setup(
- 'sadisplay'
- ],
- },
-- setup_requires=['setuptools_scm<6.0'], # setuptools_scm>=6.0 doesn't support Python 3.5
-+ setup_requires=['setuptools_scm'], # setuptools_scm>=6.0 doesn't support Python 3.5
+@@ -109,7 +109,7 @@ setup(
+ # for example:
+ # $ pip install -e .[dev,test]
+ extras_require={'doc': read_requirements('doc')},
+- setup_requires=['setuptools_scm<6.0'],
++ setup_requires=['setuptools_scm'],
use_scm_version=True,
# If there are data files included in your packages that need to be